Package org.pentaho.reporting.libraries.formula.typing

## Interface Type

- All Superinterfaces:
    `java.io.Serializable`
  All Known Implementing Classes:
    `AnyType`, `DateTimeType`, `DefaultType`, `ErrorType`, `LogicalType`, `NumberType`, `TextType`

      public interface Type
      extends java.io.Serializable

  Creation-Date: 02.11.2006, 09:32:21
  Author:
    Thomas Morgner

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ANY_TYPE` |
    `static java.lang.String` | `ARRAY_TYPE` |
    `static java.lang.String` | `DATE_TYPE` |
    `static java.lang.String` | `DATETIME_TYPE` |
    `static java.lang.String` | `ERROR_TYPE` |
    `static java.lang.String` | `LOGICAL_TYPE` |
    `static java.lang.String` | `NUMERIC_SEQUENCE_TYPE` |
    `static java.lang.String` | `NUMERIC_TYPE` |
    `static java.lang.String` | `NUMERIC_UNIT` |
    `static java.lang.String` | `SCALAR_TYPE` |
    `static java.lang.String` | `SEQUENCE_TYPE` |
    `static java.lang.String` | `TEXT_TYPE` |
    `static java.lang.String` | `TIME_TYPE` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getProperty​(java.lang.String name)` |
    `boolean` | `isFlagSet​(java.lang.String name)` |

- - ### Field Detail

    - #### NUMERIC_UNIT

          static final java.lang.String NUMERIC_UNIT

      See Also:
        Constant Field Values

    - #### NUMERIC_TYPE

          static final java.lang.String NUMERIC_TYPE

      See Also:
        Constant Field Values

    - #### TEXT_TYPE

          static final java.lang.String TEXT_TYPE

      See Also:
        Constant Field Values

    - #### LOGICAL_TYPE

          static final java.lang.String LOGICAL_TYPE

      See Also:
        Constant Field Values

    - #### SCALAR_TYPE

          static final java.lang.String SCALAR_TYPE

      See Also:
        Constant Field Values

    - #### ANY_TYPE

          static final java.lang.String ANY_TYPE

      See Also:
        Constant Field Values

    - #### ERROR_TYPE

          static final java.lang.String ERROR_TYPE

      See Also:
        Constant Field Values

    - #### DATE_TYPE

          static final java.lang.String DATE_TYPE

      See Also:
        Constant Field Values

    - #### TIME_TYPE

          static final java.lang.String TIME_TYPE

      See Also:
        Constant Field Values

    - #### DATETIME_TYPE

          static final java.lang.String DATETIME_TYPE

      See Also:
        Constant Field Values

    - #### ARRAY_TYPE

          static final java.lang.String ARRAY_TYPE

      See Also:
        Constant Field Values

    - #### SEQUENCE_TYPE

          static final java.lang.String SEQUENCE_TYPE

      See Also:
        Constant Field Values

    - #### NUMERIC_SEQUENCE_TYPE

          static final java.lang.String NUMERIC_SEQUENCE_TYPE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isFlagSet

          boolean isFlagSet​(java.lang.String name)

    - #### getProperty

          java.lang.Object getProperty​(java.lang.String name)